Skip to main content
POST
/
api
/
v1
/
teams
/
invitations
/
accept
Accept invitation
curl --request POST \
  --url https://neo.api.projectdiscovery.io/api/v1/teams/invitations/accept \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "invite_token": "<string>"
}
'
{
  "member": {
    "email": "jsmith@example.com",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "invited_at": "2023-11-07T05:31:56Z",
    "accepted_at": "2023-11-07T05:31:56Z",
    "created_at": "2023-11-07T05:31:56Z",
    "invited_by": "jsmith@example.com",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "team": {
    "created_at": "2023-11-07T05:31:56Z",
    "id": "<string>",
    "max_members": 2,
    "member_count": 1,
    "name": "<string>",
    "updated_at": "2023-11-07T05:31:56Z",
    "auto_join_enabled": true,
    "is_domain_verified": true,
    "webhook_secret_name": "<string>",
    "webhook_url": "<string>"
  }
}

Authorizations

Authorization
string
header
required

JWT authentication token

Body

application/json
invite_token
string
required

Secure invitation token received in the invite email

Minimum string length: 1

Response

Invitation accepted

member
object
required
team
object
required